<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <parent>
        <artifactId>fjhx-cloud</artifactId>
        <groupId>com.fjhx</groupId>
        <version>3.2.0</version>
    </parent>
    <modelVersion>4.0.0</modelVersion>
    <artifactId>hx-common</artifactId>

    <packaging>pom</packaging>

    <modules>
        <module>code-generator</module>
        <module>common-client-util</module>
        <module>service-file</module>
        <module>common-tool</module>
        <module>service-video</module>
        <module>service-flow</module>
        <module>library-product</module>
        <module>library-storage</module>
        <module>library-supply</module>
        <module>common-websocket</module>
        <module>common-im</module>
    </modules>

    <properties>
        <maven.compiler.source>8</maven.compiler.source>
        <maven.compiler.target>8</maven.compiler.target>

        <bladex.version>3.0.1.RELEASE</bladex.version>
        <hx.version>3.2.0</hx.version>
        <hutool.version>5.8.3</hutool.version>
        <velocity.version>2.3</velocity.version>
    </properties>

    <dependencyManagement>
        <dependencies>

            <!-- blade -->
            <dependency>
                <groupId>org.springblade.platform</groupId>
                <artifactId>blade-bom</artifactId>
                <version>${bladex.version}</version>
                <type>pom</type>
                <scope>import</scope>
            </dependency>

            <dependency>
                <groupId>org.springblade</groupId>
                <artifactId>blade-common</artifactId>
                <version>${bladex.version}</version>
            </dependency>

            <!-- hutool 工具包 -->
            <dependency>
                <groupId>cn.hutool</groupId>
                <artifactId>hutool-all</artifactId>
                <version>${hutool.version}</version>
            </dependency>

            <!-- myBatis-plus代码自动生成模板引擎 -->
            <dependency>
                <groupId>org.apache.velocity</groupId>
                <artifactId>velocity-engine-core</artifactId>
                <version>${velocity.version}</version>
            </dependency>

            <!-- 计算视频时长工具 -->
            <dependency>
                <groupId>ws.schild</groupId>
                <artifactId>jave-all-deps</artifactId>
                <version>2.5.1</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>common-tool</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>common-client-util</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>org.springblade</groupId>
                <artifactId>blade-user-api</artifactId>
                <version>${bladex.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>service-flow-api</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>service-file-api</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>service-video-api</artifactId>
                <version>${hx.version}</version>
            </dependency>

            <dependency>
                <groupId>com.fjhx</groupId>
                <artifactId>blade-ex-api</artifactId>
                <version>${hx.version}</version>
            </dependency>

        </dependencies>
    </dependencyManagement>

</project>